Subject: bug#55194: 29.0.50; Current master fails to bootstrap in the native-compilation configuration

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Apr 2022 16:46:41 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> However, I think it's high time that we put the if-let family of macros
> into subr.  However, that doesn't seem to be trivial -- I tried now and
> that broke bootstrap, too.

It was because the internals depended on more stuff from subr-x.el, like
thread-first.  I've now rewritten slightly and moved the macros to
subr.el, so these types of boostrap failures should be history.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no